diff --git a/base/server/cms/src/com/netscape/cms/policy/constraints/SubCANameConstraints.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/SubCANameConstraints.java
similarity index 97%
rename from base/server/cms/src/com/netscape/cms/policy/constraints/SubCANameConstraints.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/SubCANameConstraints.java
index 8cf6b0f373902f67318a0a19d106e207179af392..3354efdfac849e37790086c6c2a64707cfb396de 100644
--- a/base/server/cms/src/com/netscape/cms/policy/constraints/SubCANameConstraints.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/SubCANameConstraints.java
@@ -15,11 +15,15 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.constraints;
+package org.dogtagpki.legacy.server.policy.constraints;
 
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authority.ICertAuthority;
 import com.netscape.certsrv.base.EBaseException;
@@ -28,12 +32,9 @@ import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.ca.ICertificateAuthority;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
 import com.netscape.certsrv.security.ISigningUnit;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.x509.CertificateSubjectName;
 import netscape.security.x509.X500Name;
diff --git a/base/server/cms/src/com/netscape/cms/policy/constraints/UniqueSubjectName.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/UniqueSubjectName.java
similarity index 95%
rename from base/server/cms/src/com/netscape/cms/policy/constraints/UniqueSubjectName.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/UniqueSubjectName.java
index bacace981d04e4efd72f759cae4cc98e24646828..3042cae66e22f41b4bc554d86e5820cca12bb930 100644
--- a/base/server/cms/src/com/netscape/cms/policy/constraints/UniqueSubjectName.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/UniqueSubjectName.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.constraints;
+package org.dogtagpki.legacy.server.policy.constraints;
 
 /**
  * This class is used to help migrate CMS4.1 to CMS4.2.
diff --git a/base/server/cms/src/com/netscape/cms/policy/constraints/UniqueSubjectNameConstraints.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/UniqueSubjectNameConstraints.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/constraints/UniqueSubjectNameConstraints.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/UniqueSubjectNameConstraints.java
index 3ebbcc7b0c9d87c3379d26efee2572e006e61f73..61a5eb14898a6642c645cb412b96d7b27ebe6864 100644
--- a/base/server/cms/src/com/netscape/cms/policy/constraints/UniqueSubjectNameConstraints.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/UniqueSubjectNameConstraints.java
@@ -15,13 +15,17 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.constraints;
+package org.dogtagpki.legacy.server.policy.constraints;
 
 import java.io.IOException;
 import java.util.Enumeration;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authority.ICertAuthority;
 import com.netscape.certsrv.base.EBaseException;
@@ -31,11 +35,8 @@ import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.ca.ICertificateAuthority;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.x509.CertificateExtensions;
 import netscape.security.x509.CertificateSubjectName;
diff --git a/base/server/cms/src/com/netscape/cms/policy/constraints/ValidityConstraints.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/ValidityConstraints.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/constraints/ValidityConstraints.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/ValidityConstraints.java
index ff17c8308c0493a98a4db0ea49cf6e1283c59965..f37b2e6ad066ed465136ced59846e1056b94b7f6 100644
--- a/base/server/cms/src/com/netscape/cms/policy/constraints/ValidityConstraints.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/constraints/ValidityConstraints.java
@@ -15,21 +15,22 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.constraints;
+package org.dogtagpki.legacy.server.policy.constraints;
 
 import java.util.Date;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.x509.CertificateValidity;
 import netscape.security.x509.X509CertInfo;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/AuthInfoAccessExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/AuthInfoAccessExt.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/AuthInfoAccessExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/AuthInfoAccessExt.java
index 0699dcc7b70c34207e185c204756e7b36c0b719a..5e10d01bb1c081516c01393d348daac112ced4fe 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/AuthInfoAccessExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/AuthInfoAccessExt.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.io.Serializable;
@@ -24,17 +24,18 @@ import java.util.Enumeration;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.policy.IGeneralNameUtil;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
-import com.netscape.certsrv.policy.IGeneralNameUtil;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.extensions.AuthInfoAccessExtension;
 import netscape.security.util.ObjectIdentifier;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/AuthorityKeyIdentifierExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/AuthorityKeyIdentifierExt.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/AuthorityKeyIdentifierExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/AuthorityKeyIdentifierExt.java
index 5a72a6a053c83205b4a9f48210a039e0d672c124..f1b93fc46513f508109040e59025896485d4c1c7 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/AuthorityKeyIdentifierExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/AuthorityKeyIdentifierExt.java
@@ -15,13 +15,17 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.security.cert.CertificateException;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authority.ICertAuthority;
 import com.netscape.certsrv.base.EBaseException;
@@ -30,11 +34,8 @@ import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.ca.ICertificateAuthority;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.x509.AuthorityKeyIdentifierExtension;
 import netscape.security.x509.CertificateExtensions;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/BasicConstraintsExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/BasicConstraintsExt.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/BasicConstraintsExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/BasicConstraintsExt.java
index 55ee29036082b1d8f8b43f3f8c2b08d2053737e3..873fb08d1c4649a83410c9598a7a1b9e6b2ad805 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/BasicConstraintsExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/BasicConstraintsExt.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.security.cert.CertificateException;
@@ -23,6 +23,11 @@ import java.security.cert.X509Certificate;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authority.ICertAuthority;
 import com.netscape.certsrv.base.EBaseException;
@@ -32,13 +37,9 @@ import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.ra.IRegistrationAuthority;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.x509.BasicConstraintsExtension;
 import netscape.security.x509.CertificateChain;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/CRLDistributionPointsExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/CRLDistributionPointsExt.java
similarity index 99%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/CRLDistributionPointsExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/CRLDistributionPointsExt.java
index 123a6e38fdae6110adb530147287f116242073b6..a437936193a3bbac882f3a1d2b84ff7c0fba0b99 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/CRLDistributionPointsExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/CRLDistributionPointsExt.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.security.cert.CertificateException;
@@ -24,16 +24,17 @@ import java.util.Locale;
 import java.util.StringTokenizer;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.util.BitArray;
 import netscape.security.x509.CRLDistributionPoint;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/CertificatePoliciesExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/CertificatePoliciesExt.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/CertificatePoliciesExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/CertificatePoliciesExt.java
index 78c828435dede4cc48cfff67dfa7aa7c56ade0f3..34d37cbd057d2779f2dedaad4cad628d69e02df6 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/CertificatePoliciesExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/CertificatePoliciesExt.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.security.cert.CertificateException;
@@ -23,17 +23,18 @@ import java.util.Locale;
 import java.util.StringTokenizer;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.util.ObjectIdentifier;
 import netscape.security.x509.CPSuri;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/CertificateRenewalWindowExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/CertificateRenewalWindowExt.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/CertificateRenewalWindowExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/CertificateRenewalWindowExt.java
index cfc793c22ef3143b492a206dc69db7fe5151ed8e..341f1063662859d66c5c4254e5993f5f30029f37 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/CertificateRenewalWindowExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/CertificateRenewalWindowExt.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.security.cert.CertificateException;
@@ -23,16 +23,17 @@ import java.util.Date;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.extensions.CertificateRenewalWindowExtension;
 import netscape.security.x509.CertificateExtensions;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/CertificateScopeOfUseExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/CertificateScopeOfUseExt.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/CertificateScopeOfUseExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/CertificateScopeOfUseExt.java
index 3a4c1eb19299254a58d8578726953a689fe23abd..ef3cff81da59ae86f3c8da0fc222e188e4ce1b97 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/CertificateScopeOfUseExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/CertificateScopeOfUseExt.java
@@ -15,24 +15,25 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.security.cert.CertificateException;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.policy.IGeneralNameUtil;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
-import com.netscape.certsrv.policy.IGeneralNameUtil;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.extensions.CertificateScopeEntry;
 import netscape.security.extensions.CertificateScopeOfUseExtension;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/ExtendedKeyUsageExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/ExtendedKeyUsageExt.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/ExtendedKeyUsageExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/ExtendedKeyUsageExt.java
index 84e3a54a246ce314ee51f59c68129d4d85d61390..6a95a9d48873ef34c81dfd85c086388fb49fbe5a 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/ExtendedKeyUsageExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/ExtendedKeyUsageExt.java
@@ -15,23 +15,24 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.security.cert.CertificateException;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.extensions.ExtendedKeyUsageExtension;
 import netscape.security.util.ObjectIdentifier;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/GenericASN1Ext.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/GenericASN1Ext.java
similarity index 99%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/GenericASN1Ext.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/GenericASN1Ext.java
index 2f52f9752b8cb8daf0e4ea89c9e54d57377dd8e6..35a1cca4c0577bc5c3577d233d7bc86adf14ada4 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/GenericASN1Ext.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/GenericASN1Ext.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.File;
 import java.io.FileInputStream;
@@ -27,16 +27,17 @@ import java.util.Hashtable;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.extensions.GenericASN1Extension;
 import netscape.security.util.ObjectIdentifier;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/IssuerAltNameExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/IssuerAltNameExt.java
similarity index 96%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/IssuerAltNameExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/IssuerAltNameExt.java
index 71eefa041bcc5ebbd5dadfc15645fbc94650eebe..0c986a8c32312b933b9ea31540fe38b0b0d1dc74 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/IssuerAltNameExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/IssuerAltNameExt.java
@@ -15,25 +15,26 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.security.cert.CertificateException;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.policy.IGeneralNamesConfig;
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
-import com.netscape.certsrv.policy.IGeneralNamesConfig;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.x509.CertificateExtensions;
 import netscape.security.x509.CertificateVersion;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/KeyUsageExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/KeyUsageExt.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/KeyUsageExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/KeyUsageExt.java
index f864ab93c80a8a67807548b681d910aa49f1d971..0a879fb0bede4e0395de2b4a0bb3eebde7e0b7bc 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/KeyUsageExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/KeyUsageExt.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.security.cert.CertificateException;
@@ -23,6 +23,10 @@ import java.security.cert.X509Certificate;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authority.ICertAuthority;
 import com.netscape.certsrv.base.EBaseException;
@@ -31,11 +35,8 @@ import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.ca.ICertificateAuthority;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.x509.CertificateChain;
 import netscape.security.x509.CertificateExtensions;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/NSCCommentExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/NSCCommentExt.java
similarity index 97%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/NSCCommentExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/NSCCommentExt.java
index c0b0656bf75bdca078531da6a12e2da9bb4524e4..808cd6491f04676c812e0f4c107bc267dc09b244 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/NSCCommentExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/NSCCommentExt.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.BufferedReader;
 import java.io.FileInputStream;
@@ -26,17 +26,18 @@ import java.security.cert.CertificateException;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.x509.CertificateExtensions;
 import netscape.security.x509.CertificateVersion;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/NSCertTypeExt.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/NSCertTypeExt.java
index ed38f6fc8977c9d8776fbe2eaad6afc37dd3e194..d90fa9a6e24998f451d9179ab0d48a0168e46980 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/NSCertTypeExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/NSCertTypeExt.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.security.cert.CertificateException;
@@ -23,6 +23,10 @@ import java.security.cert.X509Certificate;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.authority.ICertAuthority;
@@ -32,11 +36,8 @@ import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.ca.ICertificateAuthority;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.extensions.NSCertTypeExtension;
 import netscape.security.x509.CertificateChain;
